Subject: Re: [bug#78308] [PATCH v3 10/10] news: Add news entry for etc-bashrc-d-service-type.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 20 May 2025 10:01:39 +0900

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> This patch series I have not reviewed this time, but could you add this
> German translation?
>
> For clarity, I have replaced in the English news and German
>> +configuration does not include the @code{%base-services}, you may want to add
> by
> “ configuration does not include the @code{%base-services} or
> @code{%desktop-services}, you may want to add”

Good catch.

> I still think command-line commands “See (info \"(guix) Service
> Reference\")” should not be enclosed in mere parentheses in displayed
> news.

OK, I've made the switch to use @samp{info ...}.

> If you follow Sergey Trofimov’s suggestion to replace
>> +         (en "Two new Shepherd services,
> by “(en "Two new services,” then please replace the German beginning
> “(de "Zwei neue Shepherd-Dienste,” by “(de "Zwei neue Dienste,”.

Thank you, done.

>         (title
>          (en "New services for /etc/profile.d and /etc/bashrc.d")
>          (de "Neue Dienste für /etc/profile.d und /etc/bashrc.d"))
>         (body
>          (en "Two new Shepherd services, @code{etc-profile-d-service-type} and
> @code{etc-bashrc-d-service-type}, can now be used to configure and extend your
> shell.  The services accept a list of file-like objects that must have the
> @file{.sh} file name extension.  @code{etc-bashrc-d-service-type} is now used
> instead of skeleton files to provision the Guix-provided Bash
> aliases (@file{/etc/bashrc.d/aliases.sh}).  It is also used to configure the
> @code{bash-completion} package, by provisioning
> @file{/etc/bashrc.d/bash_completion.sh}.  If your @code{operating-system}
> configuration does not include the @code{%base-services} or
> @code{%desktop-services}, you may want to add
> @code{(service etc-bashrc-d-service-type)} to your services, so Bash
> completion will continue working for new users.  See (info \"(guix) Service
> Reference\") for extra information and examples.")
>          (de "Zwei neue Shepherd-Dienste, @code{etc-profile-d-service-type} und
> @code{etc-bashrc-d-service-type}, können jetzt benutzt werden, um Ihre Shell zu
> konfigurieren und zu erweitern.  Die Dienste nehmen eine Liste dateiartiger
> Objekte entgegen, deren Dateinamen auf die Dateinamenserweiterung @file{.sh}
> enden müssen.  @code{etc-bashrc-d-service-type} wird jetzt anstelle von
> Skeleton-Dateien benutzt, um von Guix ausgelieferte Bash-Aliasse bereitzustellen
> (@file{/etc/bashrc.d/aliases.sh}). Mit ihm wird auch das
> @code{bash-completion}-Paket eingerichtet, indem
> @file{/etc/bashrc.d/bash_completion.sh} bereitgestellt wird.  Wenn Ihre
> Betriebssystemkonfiguration @code{%base-services} oder @code{%desktop-services}
> nicht beinhaltet, möchten Sie vielleicht
> @code{(service etc-bashrc-d-service-type)} in Ihre Dienstliste aufnehmen, damit
> Bash-Komplettierung weiterhin für neue Benutzer Befehle vervollständigt.  Siehe
> (info \"(guix.de) Service-Referenz\") für weitere Informationen und
> Beispiele.")))

I applied your version (locally) with the extra translation.  Thank you!

I'll push it in a few days if there are no new issues/concerns reported
here.

-- 
Thanks,
Maxim